xine-lib: realdec_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
realdec_decoder_s Struct Reference

## Data Fields
audio_decoder_t | audio_decoder
xine_stream_t * | stream
void * | ra_handle
uint32_t(* | raCloseCodec )(ra_codec_t)
uint32_t(* | raDecode )(ra_codec_t, char *, uint32_t, char *, uint32_t *, uint32_t)
uint32_t(* | raFlush )(ra_codec_t, char *, uint32_t *)
uint32_t(* | raFreeDecoder )(ra_codec_t)
void *(* | raGetFlavorProperty )(ra_codec_t, uint16_t, uint16_t, uint16_t *)
uint32_t(* | raInitDecoder )(ra_codec_t, void *)
uint32_t(* | raOpenCodec2 )(ra_codec_t *, const char *)
uint32_t(* | raSetFlavor )(ra_codec_t, uint16_t)
void(* | raSetDLLAccessPath )(char *)
void(* | raSetPwd )(ra_codec_t, const char *)
ra_codec_t | context
int | sps
int | w
int | h
int | block_align
uint8_t * | frame_buffer
uint8_t * | frame_reordered
int | frame_size
int | frame_num_bytes
int | sample_size
uint64_t | pts
int | output_open
int | decoder_ok
video_decoder_t | video_decoder
void * | rv_handle
uint32_t(* | rvyuv_custom_message )(void *, void *)
uint32_t(* | rvyuv_free )(void *)
uint32_t(* | rvyuv_hive_message )(uint32_t, void *)
uint32_t(* | rvyuv_init )(void *, void *)
uint32_t(* | rvyuv_transform )(char *, char *, void *, void *, void *)
void * | context
uint32_t | width
uint32_t | height
double | ratio
double | fps
uint8_t * | chunk_buffer
int | chunk_buffer_size
int | chunk_buffer_max
int64_t | pts
int | duration

## Field Documentation

## ◆ audio_decoder

audio_decoder_t realdec_decoder_s::audio_decoder

## ◆ block_align

int realdec_decoder_s::block_align

## ◆ chunk_buffer

uint8_t* realdec_decoder_s::chunk_buffer

## ◆ chunk_buffer_max

int realdec_decoder_s::chunk_buffer_max

## ◆ chunk_buffer_size

int realdec_decoder_s::chunk_buffer_size

## ◆ context [1/2]

ra_codec_t realdec_decoder_s::context

## ◆ context [2/2]

void* realdec_decoder_s::context

## ◆ decoder_ok

int realdec_decoder_s::decoder_ok

## ◆ duration

int realdec_decoder_s::duration

## ◆ fps

double realdec_decoder_s::fps

## ◆ frame_buffer

uint8_t * realdec_decoder_s::frame_buffer

## ◆ frame_num_bytes

int realdec_decoder_s::frame_num_bytes

## ◆ frame_reordered

uint8_t* realdec_decoder_s::frame_reordered

## ◆ frame_size

int realdec_decoder_s::frame_size

## ◆ h

int realdec_decoder_s::h

## ◆ height

uint32_t realdec_decoder_s::height

## ◆ output_open

int realdec_decoder_s::output_open

## ◆ pts [1/2]

uint64_t realdec_decoder_s::pts

## ◆ pts [2/2]

int64_t realdec_decoder_s::pts

## ◆ ra_handle

void* realdec_decoder_s::ra_handle

## ◆ raCloseCodec

uint32_t(* realdec_decoder_s::raCloseCodec) (ra_codec_t)

## ◆ raDecode

uint32_t(* realdec_decoder_s::raDecode) (ra_codec_t, char *, uint32_t, char *, uint32_t *, uint32_t)

## ◆ raFlush

uint32_t(* realdec_decoder_s::raFlush) (ra_codec_t, char *, uint32_t *)

## ◆ raFreeDecoder

uint32_t(* realdec_decoder_s::raFreeDecoder) (ra_codec_t)

## ◆ raGetFlavorProperty

void *(* realdec_decoder_s::raGetFlavorProperty) (ra_codec_t, uint16_t, uint16_t, uint16_t *)

## ◆ raInitDecoder

uint32_t(* realdec_decoder_s::raInitDecoder) (ra_codec_t, void *)

## ◆ raOpenCodec2

uint32_t(* realdec_decoder_s::raOpenCodec2) (ra_codec_t *, const char *)

## ◆ raSetDLLAccessPath

void(* realdec_decoder_s::raSetDLLAccessPath) (char *)

## ◆ raSetFlavor

uint32_t(* realdec_decoder_s::raSetFlavor) (ra_codec_t, uint16_t)

## ◆ raSetPwd

void(* realdec_decoder_s::raSetPwd) (ra_codec_t, const char *)

## ◆ ratio

double realdec_decoder_s::ratio

## ◆ rv_handle

void* realdec_decoder_s::rv_handle

## ◆ rvyuv_custom_message

uint32_t(* realdec_decoder_s::rvyuv_custom_message) (void *, void *)

## ◆ rvyuv_free

uint32_t(* realdec_decoder_s::rvyuv_free) (void *)

## ◆ rvyuv_hive_message

uint32_t(* realdec_decoder_s::rvyuv_hive_message) (uint32_t, void *)

## ◆ rvyuv_init

uint32_t(* realdec_decoder_s::rvyuv_init) (void *, void *)

## ◆ rvyuv_transform

uint32_t(* realdec_decoder_s::rvyuv_transform) (char *, char *, void *, void *, void *)

## ◆ sample_size

int realdec_decoder_s::sample_size

## ◆ sps

int realdec_decoder_s::sps

## ◆ stream

xine_stream_t * realdec_decoder_s::stream

## ◆ video_decoder

video_decoder_t realdec_decoder_s::video_decoder

## ◆ w

int realdec_decoder_s::w

## ◆ width

uint32_t realdec_decoder_s::width

The documentation for this struct was generated from the following files:

- xine-lib-1.2.13/src/libreal/xine_real_audio_decoder.c
- xine-lib-1.2.13/src/libreal/xine_real_video_decoder.c